PAM_END(3) | Library Functions Manual | PAM_END(3)

# NAME

pam_end — terminate the PAM transaction

# LIBRARY

Pluggable Authentication Module Library (libpam, -lpam)

# SYNOPSIS

#include <sys/types.h>
#include <security/pam_appl.h>

int
pam_end(pam_handle_t *pamh, int status);

# DESCRIPTION

The pam_end() function terminates a PAM transaction and destroys the corresponding PAM context, releasing all resources allocated to it.

The status argument should be set to the error code returned by the last API call before the call to pam_end().

# RETURN VALUES

The pam_end() function returns one of the following values:

[PAM_SYSTEM_ERR]
  System error.

# SEE ALSO

pam(3), pam_strerror(3)

# STANDARDS

X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

# AUTHORS

The pam_end() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

September 12, 2014 | NetBSD 7.2